Subject: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Michael Dixon <[email-masked]>
Date: Fri, 8 Nov 2019 18:17:30 -0500

I tried a whole variety of distributions. I tried the brew cask (26.3), the emacs-plus formula used for spacemacs (26.3), the prebuilt Emacs for Mac OSX (26.3),  homebrew-emacs-head (another brew formula, both 26.3 and 27.0.50), and now the one I just built (I tried both with and without your patch, both 27.0.5.0, since that’s what I get with master).

> On Nov 8, 2019, at 6:08 PM, Alan Third <[email-masked]> wrote:
> 
> On Fri, Nov 08, 2019 at 04:33:23PM -0500, Michael Dixon wrote:
>> Thanks so much everyone.
>> 
>> I was able to build from source. I had the same libxml/tree.h error
>> as Nathaniel.
>> 
>> The crash error I got was the same, but before I waste any more of
>> your time, I wanted to share that I set up a Catalina virtual
>> machine and installed via brew cask and did NOT get the crash, even
>> without providing full disk access to ruby, Emacs.app, etc.
>> 
>> This leads me to believe it my problem isn’t specific to Emacs, but
>> rather something else unique to my environment, though I can’t think
>> of what that might be.
> 
> Where did you get the original copy that did crash? Was that also a
> brew cask install?
> 
> Are they both Emacs 26?
> 
> -- 
> Alan Third